Commit 11052a96 authored by Brad King's avatar Brad King
Browse files

ENH: Updated version number to 4.2 for release branch.

parent 58b431fb
package ifneeded vtk 4.1 [list source [file join $dir vtk.tcl]]
package ifneeded vtk 4.2 [list source [file join $dir vtk.tcl]]
package require -exact vtkbase 4.1
package require -exact vtkcommon 4.1
package require -exact vtkfiltering 4.1
package require -exact vtkgraphics 4.1
package require -exact vtkimaging 4.1
package require -exact vtkio 4.1
package require -exact vtkbase 4.2
package require -exact vtkcommon 4.2
package require -exact vtkfiltering 4.2
package require -exact vtkgraphics 4.2
package require -exact vtkimaging 4.2
package require -exact vtkio 4.2
# Catched because of pkg_mkIndex
catch {
......@@ -12,16 +12,16 @@ catch {
}
catch {
package require -exact vtkhybrid 4.1
package require -exact vtkhybrid 4.2
}
catch {
package require -exact vtkparallel 4.1
package require -exact vtkparallel 4.2
}
catch {
package require -exact vtkpatented 4.1
package require -exact vtkpatented 4.2
}
catch {
package require -exact vtkrendering 4.1
package require -exact vtkrendering 4.2
}
catch {
......@@ -29,4 +29,4 @@ catch {
unset ::vtk::__temp_complain_on_loading
}
package provide vtk 4.1
package provide vtk 4.2
package ifneeded vtkbase 4.1 [list source [file join $dir vtkbase.tcl]]
package ifneeded vtkbase 4.2 [list source [file join $dir vtkbase.tcl]]
package provide vtkbase 4.1
package provide vtkbase 4.2
namespace eval ::vtk {
......
package ifneeded vtkcommon 4.1 [list source [file join $dir vtkcommon.tcl]]
package ifneeded vtkcommon 4.2 [list source [file join $dir vtkcommon.tcl]]
package require -exact vtkbase 4.1
package require -exact vtkbase 4.2
if {[info commands ::vtk::init::require_package] != ""} {
if {[::vtk::init::require_package vtkCommonTCL 4.1]} {
package provide vtkcommon 4.1
if {[::vtk::init::require_package vtkCommonTCL 4.2]} {
package provide vtkcommon 4.2
}
} else {
puts stderr "Warning: Your TCLLIBPATH points to the VTK source tree. \
......@@ -15,6 +15,6 @@ if {[info commands ::vtk::init::require_package] != ""} {
to point to the VTK build tree."
if {[info commands vtkObject] != "" ||
[::vtk::load_component vtkCommonTCL] == ""} {
package provide vtkcommon 4.1
package provide vtkcommon 4.2
}
}
package ifneeded vtkfiltering 4.1 [list source [file join $dir vtkfiltering.tcl]]
package ifneeded vtkfiltering 4.2 [list source [file join $dir vtkfiltering.tcl]]
package require -exact vtkcommon 4.1
package require -exact vtkcommon 4.2
if {[info commands ::vtk::init::require_package] != ""} {
if {[::vtk::init::require_package vtkFilteringTCL 4.1]} {
package provide vtkfiltering 4.1
if {[::vtk::init::require_package vtkFilteringTCL 4.2]} {
package provide vtkfiltering 4.2
}
} else {
if {[info commands vtkCardinalSpline] != "" ||
[::vtk::load_component vtkFilteringTCL] == ""} {
package provide vtkfiltering 4.1
package provide vtkfiltering 4.2
}
}
package ifneeded vtkgraphics 4.1 [list source [file join $dir vtkgraphics.tcl]]
package ifneeded vtkgraphics 4.2 [list source [file join $dir vtkgraphics.tcl]]
package require -exact vtkfiltering 4.1
package require -exact vtkfiltering 4.2
if {[info commands ::vtk::init::require_package] != ""} {
if {[::vtk::init::require_package vtkGraphicsTCL 4.1]} {
package provide vtkgraphics 4.1
if {[::vtk::init::require_package vtkGraphicsTCL 4.2]} {
package provide vtkgraphics 4.2
}
} else {
if {[info commands vtkAxes] != "" ||
[::vtk::load_component vtkGraphicsTCL] == ""} {
package provide vtkgraphics 4.1
package provide vtkgraphics 4.2
}
}
package ifneeded vtkhybrid 4.1 [list source [file join $dir vtkhybrid.tcl]]
package ifneeded vtkhybrid 4.2 [list source [file join $dir vtkhybrid.tcl]]
package require -exact vtkio 4.1
package require -exact vtkrendering 4.1
package require -exact vtkio 4.2
package require -exact vtkrendering 4.2
if {[info commands ::vtk::init::require_package] != ""} {
if {[::vtk::init::require_package vtkHybridTCL 4.1]} {
package provide vtkhybrid 4.1
if {[::vtk::init::require_package vtkHybridTCL 4.2]} {
package provide vtkhybrid 4.2
}
} else {
if {[info commands vtkEarthSource] != "" ||
[::vtk::load_component vtkHybridTCL] == ""} {
package provide vtkhybrid 4.1
package provide vtkhybrid 4.2
}
}
package ifneeded vtkimaging 4.1 [list source [file join $dir vtkimaging.tcl]]
package ifneeded vtkimaging 4.2 [list source [file join $dir vtkimaging.tcl]]
package require -exact vtkfiltering 4.1
package require -exact vtkfiltering 4.2
if {[info commands ::vtk::init::require_package] != ""} {
if {[::vtk::init::require_package vtkImagingTCL 4.1]} {
package provide vtkimaging 4.1
if {[::vtk::init::require_package vtkImagingTCL 4.2]} {
package provide vtkimaging 4.2
}
} else {
if {[info commands vtkImageFFT] != "" ||
[::vtk::load_component vtkImagingTCL] == ""} {
package provide vtkimaging 4.1
package provide vtkimaging 4.2
}
}
package ifneeded vtkinteraction 4.1 [list source [file join $dir vtkinteraction.tcl]]
package ifneeded vtkinteraction 4.2 [list source [file join $dir vtkinteraction.tcl]]
package require -exact vtkrendering 4.1
package require -exact vtkrendering 4.2
foreach s {Interactor bindings-rw bindings-iw bindings setget} {
source [file join [file dirname [info script]] "${s}.tcl"]
}
package provide vtkinteraction 4.1
package provide vtkinteraction 4.2
package ifneeded vtkio 4.1 [list source [file join $dir vtkio.tcl]]
package ifneeded vtkio 4.2 [list source [file join $dir vtkio.tcl]]
package require -exact vtkfiltering 4.1
package require -exact vtkfiltering 4.2
if {[info commands ::vtk::init::require_package] != ""} {
if {[::vtk::init::require_package vtkIOTCL 4.1]} {
package provide vtkio 4.1
if {[::vtk::init::require_package vtkIOTCL 4.2]} {
package provide vtkio 4.2
}
} else {
if {[info commands vtkBMPReader] != "" ||
[::vtk::load_component vtkIOTCL] == ""} {
package provide vtkio 4.1
package provide vtkio 4.2
}
}
package ifneeded vtkparallel 4.1 [list source [file join $dir vtkparallel.tcl]]
package ifneeded vtkparallel 4.2 [list source [file join $dir vtkparallel.tcl]]
package require -exact vtkio 4.1
package require -exact vtkrendering 4.1
package require -exact vtkio 4.2
package require -exact vtkrendering 4.2
if {[info commands ::vtk::init::require_package] != ""} {
if {[::vtk::init::require_package vtkParallelTCL 4.1]} {
package provide vtkparallel 4.1
if {[::vtk::init::require_package vtkParallelTCL 4.2]} {
package provide vtkparallel 4.2
}
} else {
if {[info commands vtkParallelFactory] != "" ||
[::vtk::load_component vtkParallelTCL] == ""} {
package provide vtkparallel 4.1
package provide vtkparallel 4.2
}
}
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment